import { BaseField } from '../../BaseField';
declare type InputType = 'email' | 'password' | 'tel' | 'text' | 'url' | 'number';
declare type Format = 'raw' | 'markdown';
export declare class TextField extends BaseField {
  static type: string;
  placeholder?: string;
  inputType?: InputType;
  format?: Format;
  lines: number;
  linesMax: number;
  autoComplete: 'on' | 'off';
  constructor(id: string, title: string, placeholder?: string, description?: string, inputType?: InputType, lines?: number, linesMax?: number);
  showPreview(): BaseField;
  getDisplayValue(value: any): any;
  setInputType(inputType: InputType): TextField;
  setFormat(format: Format): TextField;
  setLines(lines: number): TextField;
  setLinesMax(linesMax: number): TextField;
  setAutoComplete(autoComplete: 'on' | 'off'): TextField;
}
export {};
